import { Provider } from '@angular/core';
export declare enum IconFeatureKind {
    ICON_PICK = 0,
    ICON_CDN = 1,
    WIDTH = 2,
    HEIGHT = 3,
    COLOR = 4,
    SIZE = 5
}
declare interface IconFeature<KindT extends IconFeatureKind> {
    kind: KindT;
    providers: Provider[];
}
export declare type IconPickFeature = IconFeature<IconFeatureKind.ICON_PICK>;
export declare type IconCDNFeature = IconFeature<IconFeatureKind.ICON_CDN>;
export declare type IconWidthFeature = IconFeature<IconFeatureKind.WIDTH>;
export declare type IconHeightFeature = IconFeature<IconFeatureKind.HEIGHT>;
export declare type IconColorFeature = IconFeature<IconFeatureKind.COLOR>;
export declare type IconSizeFeature = IconFeature<IconFeatureKind.SIZE>;
export declare type IconFeatures = IconPickFeature | IconCDNFeature | IconWidthFeature | IconHeightFeature | IconColorFeature | IconSizeFeature;
export {};
